Appium 记事本--安装 Appium_lib 的这些坑

55hhy · 2015年06月26日 · 53 次阅读

最近选择 cucumber + appium + ruby

刚刚开始,遇到要装 appium_lib

appium_lib 的地址https://github.com/appium/ruby_lib

gem install appium_lib

其中 gem install appium_lib 报错:

libxml2 is missing. Please locate mkmf.log to investigate how it is failing.

然后就到坑里了

解决方案:http://max.borisov.name/
brew install libxml2 libxslt

解决中发现 brew 过期了:https://github.com/mistydemeo/tigerbrew
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

此贴为记事本
另:cucumber + appium + ruby 有没有前辈?我是虾兵蟹将。

暂无回复。
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册